ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Goto page Previous  1, 2, 3
 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder

PHP 7.4 support

Author Message
Rojod



Joined: 19 May 2020
Posts: 2

PostPosted: Wed May 27, 2020 10:22 pm    Post subject: Reply with quote

koryfi wrote:
Sure ! As webhoster I can't just start offering beta versions.

We need a stable version very very soon Sad

+1


Yesterday I tried the beta with a server. Not doable with my set-up, unless it's a stable release...
Back to top
View user's profile Send private message
Skillage



Joined: 16 Jan 2020
Posts: 3
Location: Greece

PostPosted: Sun May 31, 2020 11:21 pm    Post subject: Reply with quote

I dont think they care, because they never give specific answers and dates, they dont know or they dont care about 7.4 as they should.
I dont know what else can be priority for them, but I'm working on alternatives already.
_________________
techbox.com.gr
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 354

PostPosted: Mon Jun 01, 2020 8:28 am    Post subject: Reply with quote

@Skillage

This is very far from the truth. Practically all our focus is on PHP 7.4 currently, both in delivering a stable Loader and in producing a new 7.4 Encoder.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
Josh Abbott



Joined: 08 Feb 2016
Posts: 9

PostPosted: Thu Jun 04, 2020 4:31 am    Post subject: Reply with quote

While I'm sure keeping up with all the PHP updates is a challenging task, it does sound like ionCube should consider changing its approach to supporting new PHP versions. The first public beta of the ionCube Loader for PHP 7.4 was not released until after the official release of PHP 7.4 itself.

ionCube should begin identifying and planning a development strategy for any major changes required to the Loaders during the Alpha releases of each PHP version. And then ionCube should aim to have a working beta of the Loader ready during the Release Candidate phase of the new PHP version. All the major changes in PHP are locked in at that point, so only minor tweaks would be required to have the Loader ready for the official release of PHP.

Adding the language support for a new PHP version on the Encoder side is a secondary concern for most developers. While some new language features can be useful and time-saving on the coding side, it's rare for PHP to add functionality that cannot be replicated using syntax and functions from previous PHP versions. Most developers are far more concerned about their software continuing to work as their customers and hosting providers upgrade to a new PHP version.

One of the key benefits of the ionCube Encoder is that the Loaders are already installed by most major hosting providers, or they are easily enabled through popular control panels like cPanel. If ionCube continues to fall behind on supporting new PHP versions, I'm concerned that many hosts will simply move ahead with the PHP updates without offering support for the Loaders. Many end-users of PHP software lack the access or technical expertise to download and install the Loaders themselves, so this would make it less practical for developers to sell software that has been encoded with ionCube.

I understand that major upgrades on the Encoder side is probably an important source of ionCube's sales, but perhaps ionCube should consider offering future versions of the Encoder under a cloud subscription license, similar to Office 365 or Adobe's Creative Cloud. This would allow ionCube to spend more resources on keeping the Loaders up-to-date without needing to make as many updates on the Encoder side.
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 354

PostPosted: Wed Jun 10, 2020 8:01 am    Post subject: Reply with quote

With regard to Josh Abbott's comment, we do in fact start development of loaders during the alpha and beta phases of the PHP release. That is how we managed to produce beta versions of loaders whilst PHP was in the release candidate phase for PHP 7.2 and 7.3.

However, as I have mentioned previously, PHP 7.4 introduced a large number of internal changes and the byte code translation between the 7.1/7.2 format and 7.4 was difficult.

More constructively, we have had a second user report a fault this week and we have been able to access his test system to view the fault occurring. That should enable us to find the cause of the problem and thus lead to a general release of the 7.4 loaders.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
sushichris



Joined: 04 May 2016
Posts: 2
Location: Michigan

PostPosted: Wed Jun 10, 2020 5:25 pm    Post subject: Fingers crossed Reply with quote

Awesome! I hope this helps with the general release! Thanks for the hard work! Very Happy
Back to top
View user's profile Send private message
weloveayaka



Joined: 01 Jun 2016
Posts: 3

PostPosted: Sun Jun 14, 2020 8:11 am    Post subject: Reply with quote

I hope that when php8 is released, ioncube can follow up and update as soon as possible, loader or an encoder.

The first alpha version will be released next week
Back to top
View user's profile Send private message
sidster



Joined: 17 Jun 2020
Posts: 2

PostPosted: Wed Jun 17, 2020 7:11 pm    Post subject: Reply with quote

Also having an issue with beta 2. I'm getting a seg fault in the apache error logs.

I'm running WHMCS with php7.4.3 on Ubuntu 20.04

child pid 28234 exit signal Segmentation fault (11), possible coredump in /etc/apache2

Edit: added ondrej PPA and updated to latest PHP 7.4.7 and still getting the seg fault
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 354

PostPosted: Thu Jun 18, 2020 8:09 am    Post subject: Reply with quote

@sidster

We are working a fault in the 7.,4 beta loaders having only recently obtained an actual test case that reproduces the fault,

However, please do create a ticket at https://support.ioncube.com if you are also able to supply a test case as that would be useful.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
sidster



Joined: 17 Jun 2020
Posts: 2

PostPosted: Thu Jun 18, 2020 11:49 am    Post subject: Reply with quote

Thanks alastair, definitely happy to help. Will open a support ticket shortly
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 354

PostPosted: Mon Jun 29, 2020 5:49 pm    Post subject: Reply with quote

Loaders for PHP 7.4 are now included in our version 10.4.0 release of the ionCube Loader packages which are available for download from https://www.ioncube.com/loaders.php

Please note that packages for Mac OS X now have "mac" rather than "dar" as the OS identifier.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
airmadina-



Joined: 02 Jul 2020
Posts: 1

PostPosted: Thu Jul 02, 2020 2:42 pm    Post subject: Reply with quote

And what about Encoder for PHP 7.4? Is it expected to be released with Loader? We actually need Encoder for PHP 7.3 very much.
_________________
John
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 354

PostPosted: Fri Jul 03, 2020 4:38 pm    Post subject: Reply with quote

Hi,

As mentioned previously in this thread, an encoder for PHP 7.4 will be included in the next major release of the ionCube PHP Encoder package.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube PHP Encoder All times are GMT + 1 Hour
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum